//   File name: Circle.java
//   Reference: Chapter 12
//
//   Java program to demonstrate global variables
//   and their use by methods
//   Topics:
//      1. Global variables
//      2. Variable visibility to methods
//      3. Method that returns several results in
//         global variables
//      4. Data is passed by reference to a method
//
//   Requires:
//      1. Keyin class in the current directory

public class Circle
{
  // Data elements defined at the class level
  static final double PI = 3.141592653589793;
  static double area;
  static double perimeter;
  
  //*********************************
  //         main() method
  //*********************************
  public static void main(String[] args)
    {
       // Local variables
       double radius;

       // Input radius from keyboard
       System.out.println("Caculating circle dimensions");
       radius = Keyin.inDouble("Enter radius: ");

       // Call method
       circleData(radius);

       // Display data stored globally
       System.out.println("Radius: " + radius);
       System.out.println("Area: " + area);
       System.out.println("Perimeter: " + perimeter);
    }

   //******************************
   //     circleData() method
   //******************************
   public static void circleData(double radius)
   {
      area = PI * (radius * radius);
      perimeter = PI * (2 * radius); 
      radius = 0;                    // Fruitless effort!
      return;
   }
}







