// Java for Engineers
// Filename: CartPol
// Reference: Chapter 23
// Description:
//            Conversion between polar and rectangular
//            coordinates
// Requires:
//            Keyin class in current directory

import java.lang.*;

strictfp class CartPol
{
   public static void main(String[] args)
   {
        double x, y, vA, degs, radVec;

        // Obtain rectangular coordinates from user   
        x = Keyin.inDouble("Enter x: ");
        y = Keyin.inDouble("Enter y: ");

        // Convert rectangular to polar coordinates
        vA = Math.atan2(x, y);
        degs = Math.toDegrees(vA);
        System.out.println("Vectorial angle = " + degs);
        // Calculate radius vector
        radVec = Math.sqrt((x * x)+(y * y));
        System.out.println("Radius vector = " + radVec);

        // Convert polar back to rectangular coordinates
        x = radVec * Math.cos(vA);
        System.out.println("x coodinate = " + x);
        y = radVec * Math.sin(vA);
        System.out.println("y coordinate = " + y);
   }
}

