// Java for Engineers
// Filename: Logs
// Reference: Chapter 23
// Description:
//            Conversion between polar and rectangular
//            coordinates
// Requires:
//            Keyin class in current directory

import java.lang.*;

strictfp class Logs
{
   public static void main(String[] args)
   {
        double num, loge, log10, aloge, alog10;

        // Obtain input from user
        num = Keyin.inDouble("Enter number: ");

        // Calculate and display the natural logarithm
        loge = Math.log(num);
        System.out.println("log base e = " + loge);
        // Calculate the common log
        log10 = Math.log(num)/Math.log(10.0);
        System.out.println("log base 10 = " + log10);

        // Calculate the antilogarithm of log base e
        aloge = Math.exp(loge);
        System.out.println("antilog of log base e = " + aloge);

        // Calculate the antilogarithm of log base 10
        alog10 = Math.pow(10.0, log10);
        System.out.println("anitlog of log base 10 = " + alog10);
   }
}

