// Java for Engineers
// Filename: TrigFun
// Reference: Chapter 23
// Description:
//            Caculating trigonometric functions
// Requires:
//            Keyin class in current directory

import java.lang.*;

strictfp class TrigFun
{
   public static void main(String[] args)
   {
        double rads, degs, tanA, aTanA, coTanA;

        // Obtain angle in degrees from user   
        degs = Keyin.inDouble("Enter angle in degrees: ");
        // Convert degrees to radian        
        rads = Math.toRadians(degs);
   
        // Calculate tangent
        tanA = Math.tan(rads);
        System.out.println("Tangent = " + tanA);

        // Calculate cotangent
        coTanA = 1.0/Math.tan(rads);
        System.out.println("Cotangent = " + coTanA);

        // Calculate arc-tangent
        rads = Math.atan(tanA);
        degs = Math.toDegrees(rads);
        System.out.println("Arc tangent: "  + degs);
 
        // Calculate arc-cotangent
        rads = Math.atan(1/coTanA);
        degs = Math.toDegrees(rads);
        System.out.println("Arc cotangent: "  + degs); 
   }
}

