// Java for Engineers
// Filename: FpError
// Reference: Chapter 24
// Description:
//            Floating-pioint error diagnostics
// Requires:
//            Keyin class in current directory

import java.lang.*;

class FpError
{
   public static void main(String[] args)
   {
        double res;
        double divisor = 0;
        double dividend, root;

        // Get user input for numerator
        System.out.println("Forcing division by zero error");
        dividend = Keyin.inDouble("Enter dividend: ");
        res = dividend/divisor;
        // Test for negative invifinity
        if(res == Double.NEGATIVE_INFINITY)
            System.out.println("result is NEGATIVE_INFINITY");
        if(res == Double.POSITIVE_INFINITY)
            System.out.println("result is POSITIVE_INFINITY");
        // Test for either infinity
        if(Double.isInfinite(res))
            System.out.println("result is infinite");

        // Get user input for square root
        System.out.println("\nCalculating square root (try negative)");
        root = Keyin.inDouble("Enter root: ");
        res = Math.sqrt(root);
        if(Double.isNaN(res))
            System.out.println("result is Nan");
        else
            System.out.println("Square root = " + res);
   }
}

