//**********************************************************
//**********************************************************
// Program: CatchDBZ
// Reference: Chapter 19
// Topics:
//     1. Catching Java's ArithmeticException error in a
//        division by zero
// Requires:
//     1. Keyin class in the current directory
//**********************************************************
//**********************************************************

public class CatchDBZ
{
    public static void main(String[] args)
    {
       int dividend = 100;
       int divisor, result;
     
    while(true)
    {
        divisor = Keyin.inInt("Enter divisor (100 to end): ");

        if(divisor == 100)
           break;

        try
        {
           result = dividend / divisor;  // May raise exception
           System.out.println("result = " + result);
        }
        catch(ArithmeticException msgText)
        {
           System.out.println("Error is : " + msgText);
        }
    }
  }   
}  
