// Java for Engineers
// Filename: BigIFact
// Reference: Chapter 22
// Description:
//            Demonstration of high-precision integer arithmetic
//            with the BigInteger class. Program calculates the
//            factorial of a big integer number
// Requires:
//            Keyin class in current directory

import java.math.*;

class BigIFact
{
   public static void main(String[] args)
   {

        int v;                                 // Input
        BigInteger p = BigInteger.valueOf(1);  // Factor
         
  
        System.out.println("Big integer factorial routine\n");
        v = Keyin.inInt("Enter value: ");

         // Calculate factorial by iteration
        for(int i = 1; i <= v; i++)
             p = p.multiply(BigInteger.valueOf(i));
        // Display result
        System.out.println(p);
	}
}

